/*
 * board.h
 *
 *  Created on: Apr 15, 2024
 *      Author: colorbass
 */

#ifndef SRC_BOARD_H_
#define SRC_BOARD_H_

void GBT_Lock(uint8_t state);

typedef enum{
	RELAY_AUX,
	RELAY_CC,

}relay_t;

void RELAY_Write(relay_t num, uint8_t state);
void Init_Peripheral();
uint8_t GBT_LockGetState();
void GBT_Lock(uint8_t state);
uint8_t SW_GetAddr();
void ADC_Select_Channel(uint32_t ch);
int16_t GBT_ReadTemp(uint8_t ch);


#endif /* SRC_BOARD_H_ */
